/***************************************************************

	FLTRUnlockFiles.c

	Written by Jefferson Quade
	1994 Quade Publishing Company, P.O. Box 1574, Fort Dodge, Iowa 50501

	Created Monday, July 25, 1994 01:36 AM

***************************************************************/

/*<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
	Include files.
>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>*/

#ifndef __FILES__
#include <Files.h>
#endif

#ifndef __TYPES__
#include <Types.h>
#endif

/*<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
	Defines.
>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>*/

#ifdef THINK_C
	#if __option(a4_globals)
		#define LockedFileFilter main
	#endif
#else
	#define LockedFileFilter main
#endif

/*<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
	Prototypes.
>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>*/

pascal Boolean LockedFileFilter (ParamBlockRec *pb);

/*=========================================================================
	Returns only locked files to be displayed.
=========================================================================*/

pascal Boolean LockedFileFilter (ParamBlockRec *pb)
{
	if (pb->fileParam.ioFlAttrib & ioDirMask) return false;
	return ((pb->fileParam.ioFlAttrib & 1) == 0);
}

