{***************************************************************}
{}
{	PROCUnlockFiles.p }
{}
{	Written by Jefferson Quade }
{	1994 Quade Publishing Company, P.O. Box 1574, Fort Dodge, Iowa 50501 }
{}
{	Created Monday, July 25, 1994 05:54 PM }
{}
{***************************************************************}

unit QFileFilters;

{<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<}
{ Interface. }
{>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>}

interface

{<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<}
{ Procedures and functions. }
{>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>}

function main (var cpb: CInfoPBRec): OSErr;

{<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<}
{ Implementation. }
{>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>}

implementation

{=========================================================================}
{	Sample scan procedure for a file. }
{}
{	Function should return: }
{	1) A negative value to stop scan and display an error message for that code. }
{		NOTE: You should not return positive numbers over 128, because MacOrganize }
{		maps those error numbers to it's own internal error codes. }
{	2) UserCancelledErr (-128) to stop scan without displaying error alert. }
{	3) Or noErr (0) to continue scan. }
{=========================================================================}

function main (var cpb: CInfoPBRec): OSErr; {UnlockFilesProcedure}
	var
		dialog: DialogPtr;
		iHandle: Handle;
		iType: integer;
		iRect: Rect;

	begin
		if (BitAnd(cpb.ioFlAttrib, ioDirMask) = 0) then
			begin
				dialog := FrontWindow;
				if (dialog <> nil) then
					begin
						GetDItem(dialog, 4, iType, iHandle, iRect);
						if (iHandle <> nil) then
							begin
								SetIText(iHandle, StringPtr(cpb.ioNamePtr)^);
							end;
					end;
				main := HRstFLock(cpb.ioVRefNum, cpb.ioFlParID, StringPtr(cpb.ioNamePtr)^);
				main := noErr; { Okay if can't unlock file. }
			end
		else
			main := noErr;
	end;

end.